deductionguidesforstd::reference_wrapper(3)

NAME
deductionguidesforstd::reference_wrapper - deductionguidesforstd::reference_wrapper

Synopsis
   Defined in header <functional>
   template<typename T> (since C++17)
   reference_wrapper(T&) -> reference_wrapper<T>;
   One deduction guide is provided for std::reference_wrapper to support deduction of
   the sole class template parameter.

Example
    This section is incomplete
    Reason: no example
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 2981 C++17 a redundant deduction guide from removed
                       reference_wrapper<T> was provided
   LWG 2993 C++17 defect resolution removed a constructor added deduction guide
                       used for class template argument deduction to compensate